Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Windows install with Apache. I'm not using WAMP.

I just upgraded from 5.2.3 to 5.3.0. After I installed it (msi) I restarted the server but php isn't working. I looked at the httpd file and noticed that the php loadmodule is not there anymore. Can someone offer a hand?

share|improve this question

1 Answer 1

up vote 2 down vote accepted

I have the follow in my httpd.conf file.

LoadModule php5_module "c:/wamp2/bin/php/php5.3.0/php5apache2_2.dll"

(this is for wampserver install)

Just change the path to where you installed php and you should be good.

share|improve this answer
    
Hey Samuel, I'll give this a try now and be right back. Thanks! –  jim Sep 29 '09 at 14:45
    
Samuel, I just searched the entire hard drive and don't have that dll anywhere. –  jim Sep 29 '09 at 14:49
    
look in c:\Program Files\PHP for php5.dll I think that is the file you need. –  Samuel Sep 29 '09 at 14:56
    
Hey Samuel, I tried using that file too but nothing. I just found a bug report on the PHP site regarding that file accidentally being excluded from the MSI. –  jim Sep 29 '09 at 15:11
1  
It looks like the fix is to download the VC9 threaded version. I downloaded the non-threaded version so we'll see how that goes. :/ –  jim Sep 29 '09 at 15:16

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.